{
    "build": {
        "builder-revision": "b8aaf354d6e87bda718f7fb7e73b4d4252c7a385",
        "date": "Fri Apr 11 13:05:36 UTC 2025",
        "git-revision": "a489700bb84b3c9143b00b4188792467c8676b72",
        "id": "273110460"
    },
    "fixed-issues": [
        "LPD-19203","LPD-21007","LPD-21008","LPD-21809","LPD-22124","LPD-22494","LPD-22814","LPD-23268","LPD-24277","LPD-2443","LPD-24713","LPD-24730","LPD-25869","LPD-26460","LPD-26715","LPD-26807","LPD-26979","LPD-27499","LPD-27549","LPD-29508","LPD-42550","LPD-52364"
    ],
    "patch": {
        "id": "540"
    },
    "requirement": {
        "patching-tool-version": "4000",
        "product-version": "2024.q1.5"
    },
    "added" :[
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.journal.service.jar",
            "checksum": "95d5b603ec073da1943505967db9f34eec45cd2b8ef135a1edf6ef131155ee34"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.segments.service.jar",
            "checksum": "e5e045a5d6fc76494865f0945f9a0d8586446a14eda75aa4a5496e5316449da0"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.portal.search.elasticsearch7.impl.jar",
            "checksum": "5e593d0c23a5a22f92d8e0e1e8bd3aac1566e70c75518876c0bc1391639228ef"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.currency.service.jar",
            "checksum": "191d51c678954f14416acb6ee79be0c3e101e48f08557bab5db96eff8323e9ef"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.tax.engine.fixed.service.jar",
            "checksum": "17d07c7de9becde31792be24bfcabba252b961d6f931da54661c1884112d6a48"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.dynamic.data.mapping.service.jar",
            "checksum": "1876e6f0fe9b4a9be4252a44ec6461a51af501b2c6ea6c55ae886949d8142a59"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.asset.auto.tagger.service.jar",
            "checksum": "3531930f1ffb6a3bc4db3590388bf08c648eded647eb7e565926e58a3885362e"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.frontend.js.recharts.jar",
            "checksum": "6c83b121fd94eece3d56de784ef0a6f66a0cd94b163fd9e1faf7c4fd88feb2a3"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.wiki.service.jar",
            "checksum": "6c99f7ef42ac200d72d4d6d1ecd137ed740e855112549cb89babf32c9ae52e22"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.saved.content.service.jar",
            "checksum": "b1f0d09325ee6c89b7b5cde7f90306b7be028a3a1c161b37abe18dea17e8a6b5"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.client.extension.type.api.jar",
            "checksum": "49ebb5da6a3a6d40cf070da2b710841c39ac696865d2b9555a8c113ca09bd7fb"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.oauth2.provider.service.jar",
            "checksum": "4038fb1f9a55f95d4d0d7e4902fb30334bfe93410f17249d2dffe63a20cda16f"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.layout.page.template.service.jar",
            "checksum": "37dad0c9cb68e874af53a455c3fa45b93652bb7b7bf1c25872a6b8cd67b066be"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.client.extension.type.impl.jar",
            "checksum": "22cc92ae364d0344d14496c81da90145deb5829f00112782d5a310e13f09474b"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.layout.service.jar",
            "checksum": "3aac192e1f8fd0a44f3c6901eb2870f89619a5ec65738d37246ee71147e939a9"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.discount.service.jar",
            "checksum": "429fbe49774c131acbb3902ab90d569b0ca28cbcc65f6628f80fd98bcbe79e00"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.object.service.jar",
            "checksum": "5f15f09a4fb21eaf1a485e959003880893bc6a498b8aa35847eb7a2549b1ff4c"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.friendly.url.service.jar",
            "checksum": "ea7f2c8740d673b1115ae2c0d376a797fad07f69e15fcfac58510a7c833ce2ce"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.asset.link.service.jar",
            "checksum": "55e9c27e95795231c51abdf26e83e95695eb04a3185960237baec4cd51379489"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.layout.admin.web.jar",
            "checksum": "a0592357aa4235f50f581811f6d7d71715a7b3635542805a04d44317cd50b41c"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.layout.utility.page.status.jar",
            "checksum": "368e1abfe646691590e5984d1268c3895107a20ffbd19351807c489b6ab6c1f1"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.adaptive.media.image.content.transformer.backwards.compatibility.jar",
            "checksum": "02d3c87a2fc04c0650317107e6ec130a80112bb00c60f3853da5c4203911acb7"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.portal.security.sso.openid.connect.persistence.service.jar",
            "checksum": "1603931f812167821a26b12dcc44722473f8c3b9630d9daa97c260c276b11d7b"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.exportimport.service.jar",
            "checksum": "fccc032226b7737c20a319e9817bd631a35f13b7f1299300586d5f44afae665e"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.inventory.service.jar",
            "checksum": "b923ee392478f4452dff94c0f53baa40e0e13b24f0236edab73a71a37aee9db0"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.price.list.service.jar",
            "checksum": "ae96a224ee175691c079872c451c609b40b37ef4b9f7e4301f26bb5d40c87ca1"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.antivirus.async.store.jar",
            "checksum": "770e87879f20bbda13a59959d8f4c87779eee98613e3afa4413321816cb14449"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.product.type.grouped.service.jar",
            "checksum": "9fb358bfefb4a072c98ce247ff3f60763657864f9444cf92ac7e1fb6e860d07b"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.json.storage.service.jar",
            "checksum": "733f0fb380537e76158d9c1fecd6a99bf9dd20738b41f4c98bacc0a7762bd324"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.service.jar",
            "checksum": "8ad87c7a30f2cdcef4ee867ffe4b85b603559fd72e8731980e5730a84ab2a515"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.asset.list.service.jar",
            "checksum": "446f36a1ff50ab127de9f94cafd406ea7635cda47ea241203e09d8bf32b27f8d"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.order.rule.service.jar",
            "checksum": "773715b43933f4ba9315736fa6b9da4feb91be6ebd45d2fc1a4516e90d618d7e"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.message.boards.service.jar",
            "checksum": "2838779a9c9a4dfa9574c571140c52f8eb3bdf28e8baf9b5831068616ac54c7a"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.account.service.jar",
            "checksum": "0e2359014ebcc4495f280e40133b3774a9a886195ae5fd0d2b8485a39b55b31e"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.changeset.service.jar",
            "checksum": "b0bbd35216b3a55dc4ea26ebdd1adbfef5a86528f6afa36e336a3683d5601020"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.pricing.service.jar",
            "checksum": "9734641d3e8f0016c110c8862673c2acf3a14bf87abc52a3b8d0ffdb0c7ef958"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.users.admin.impl.jar",
            "checksum": "ee63817489c6e946ff9755ac7b7ead3c5d21c5a57f745985a0f9d5a432e7ee54"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.asset.category.property.service.jar",
            "checksum": "1fad56772bdb4c2a95eb153d7c46fc768a8a449521a4ba82730c480166db161c"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.portal.language.override.service.jar",
            "checksum": "19ff36e8a6bcd0dee1aa3aae96b85f4e2b69ebbc0cc5726fd45f493facdb3de2"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.asset.entry.rel.service.jar",
            "checksum": "4691938dacb95731b8636575bf2d42e0b68da470445d250ec90cb6c586ff272f"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.fragment.service.jar",
            "checksum": "b17fa69e665582ec89ebf8371ba71de074ce3daaa379b9573ed37aaf3372b5cd"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.client.extension.service.jar",
            "checksum": "21fa8f355e32f37b8d7511d8b71606458f38e232b52a5a0345f0ae7a55187208"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.notification.service.jar",
            "checksum": "e82d9e3b6f177724fc2e12c65ceb6c419efadea5dba205a8e4a0eab292459697"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.layout.type.controller.display.page.jar",
            "checksum": "ecf03409c214baa1767c87b54a7c8b45065f9f6e34c87433a2da634ee85d27fb"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.site.navigation.taglib.jar",
            "checksum": "7fd5fc3ad5323c3b9a31fdb4fe627e0b5255b8ef1eab8b3f1a41074bb6383e19"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.wish.list.service.jar",
            "checksum": "66454f9797320745b2a2acc506036edf28040e0b2faaa93f1861c811f8186836"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.multi.factor.authentication.fido2.credential.service.jar",
            "checksum": "0f862fb35b93d9ee8e7a920dda5083ffde670390eb97a3e053727962b23e2e78"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.portal.workflow.kaleo.service.jar",
            "checksum": "79687a3003f66e806c1af168fe04a0cc91646d079a3903d55d8271bfda49e951"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.knowledge.base.service.jar",
            "checksum": "13ddfd55252b14b29a98485800e72c358e28a7ab5c04e8fa091312cd1187bc2c"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.document.library.service.jar",
            "checksum": "d7a2b1a22f57c4bad148e8ba9d12bd269bdbd0b373c02bf9394ea20c87ce263c"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.dynamic.data.lists.service.jar",
            "checksum": "99ebd0775d1e28d3b68af85b07e9b6bde2e911dd4e23ceb606d76d737720eae2"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.client.extension.web.jar",
            "checksum": "34b91652b8aefc5606237919ae5f67ca1937385a5e1c10b09c550f1f47cce71d"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.batch.planner.service.jar",
            "checksum": "7eeb8da7020bf0368c7b59ae02d0d142fb3779498663545411ec500a5cc5988d"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.journal.web.jar",
            "checksum": "a5be2c320da1d8fdb55f4d7ad074ea7628af2b615e5a6af9c8bdd88ac73479ea"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.commerce.product.service.jar",
            "checksum": "2195e8ec21d83a273f96883cbaaab71b0230235574947a065303e99e374304b0"
        },
        {
            "path": "OSGI_BASE_PATH/portal/com.liferay.trash.service.jar",
            "checksum": "f53998582ccad25c1b10a6f638003bcb775441523ccbd9214d96a6cf02c407bf"
        },
        {
            "path": "WAR_PATH/WEB-INF/shielded-container-lib/portal-impl.jar",
            "checksum": "7f39cdb267086c046a71ff1f231021c2322e909d27ee540b11dd661112876ff6"
        },
        {
            "path": "WAR_PATH/WEB-INF/shielded-container-lib/portal-kernel.jar",
            "checksum": "d179dd884f4245bc957b54d5836cd7944e16d0f09b8e548133513411b0cc8f07"
        },
        {
            "path": "WAR_PATH/WEB-INF/shielded-container-lib/portal-patcher-properties.jar",
            "checksum": "b6fa247558ca9c7128c535584642c44d06f0a24d768e47e11cd6f89838d08b78"
        },
        {
            "path": "WAR_PATH/WEB-INF/classes/META-INF/MANIFEST.MF",
            "checksum": "f3c23c3c0f5a0cb09718b89ab5034f1ff966ed1b8cda06ba18d22604749ee589"
        }
    ],
    "removed" :[
    ]
}
